Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessageAnimation

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageContent
it.tdlight.jni.TdApi.MessageAnimation

Enclosing class:
  TdApi

public static final class TdApi.MessageAnimation extends TdApi.MessageContent
An animation message (GIF-style).

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.Animation`
`animation`
The animation description.
`TdApi.FormattedText`
`caption`
Animation caption.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`hasSpoiler`
True, if the animation preview must be covered by a spoiler animation.
`boolean`
`isSecret`
True, if the animation thumbnail must be blurred and the animation must be shown only while tapped.

## Constructor Summary

Constructors
Constructor
Description
`MessageAnimation()`
An animation message (GIF-style).
`MessageAnimation(TdApi.Animation animation, TdApi.FormattedText caption, boolean hasSpoiler, boolean isSecret)`
An animation message (GIF-style).
`MessageAnimation(DataInput input)`
An animation message (GIF-style).

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### animation

public TdApi.Animation animation
The animation description.

### caption

public TdApi.FormattedText caption
Animation caption.

### hasSpoiler

public boolean hasSpoiler
True, if the animation preview must be covered by a spoiler animation.

### isSecret

public boolean isSecret
True, if the animation thumbnail must be blurred and the animation must be shown only while tapped.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### MessageAnimation

public MessageAnimation()
An animation message (GIF-style).

### MessageAnimation

public MessageAnimation(TdApi.Animation animation, TdApi.FormattedText caption, boolean hasSpoiler, boolean isSecret)
An animation message (GIF-style).

Parameters:
  `animation` - The animation description.
  `caption` - Animation caption.
  `hasSpoiler` - True, if the animation preview must be covered by a spoiler animation.
  `isSecret` - True, if the animation thumbnail must be blurred and the animation must be shown only while tapped.

### MessageAnimation

public MessageAnimation(DataInput input) throws IOException
An animation message (GIF-style).

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`